View Issue Details

IDProjectCategoryView StatusLast Update
0005186Talerwallet (WebExtensions)public2018-04-15 20:36
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritylowSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005186: split type declarations in a way that makes more sense
DescriptionRight now all of them are in one big file, but we should split them into
- types for the Taler JSON protocol (with_underscore_members)
- types for the portable wallet DB and API (camelCaseMembers)
- types for the WebExtensions glue (camelCaseMembers)
- the amounts helper library should probably be separate as well
TagsNo tags attached.

Activities

Florian Dold

2018-01-03 14:43

manager   ~0012712

Fixed in fd2cd9c3

Issue History

Date Modified Username Field Change
2017-11-30 00:18 Florian Dold New Issue
2017-12-01 19:04 Christian Grothoff Assigned To => Florian Dold
2017-12-01 19:04 Christian Grothoff Status new => assigned
2017-12-01 19:04 Christian Grothoff Product Version => SVN HEAD
2017-12-12 17:38 Florian Dold Category wallet (app) => wallet (WebExtensions)
2018-01-03 14:43 Florian Dold Status assigned => resolved
2018-01-03 14:43 Florian Dold Resolution open => fixed
2018-01-03 14:43 Florian Dold Note Added: 0012712
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed